Skip to main content
GET
/
carrier_accounts
cURL
curl https://api.goshippo.com/carrier_accounts?service_levels=true \
 -H "Authorization: ShippoToken <API_TOKEN>"
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "account_id": "****",
      "carrier": "usps",
      "active": true,
      "parameters": {},
      "carrier_name": "USPS",
      "is_shippo_account": false,
      "metadata": "<string>",
      "object_id": "6aa34d5f6865448fbb1ee93636e98999",
      "object_owner": "bob+22@gmail.com",
      "service_levels": [
        {
          "name": "Priority Mail Express",
          "token": "usps_priority_express",
          "supports_return_labels": true
        }
      ],
      "test": false,
      "object_info": {
        "authentication": {
          "type": "default",
          "status": "disconnected"
        },
        "verification": {
          "policy": "required"
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Query Parameters

service_levels
boolean

Appends the property service_levels to each returned carrier account

carrier
enum<string>

Filter the response by the specified carrier

TokenCarrier name
airterraAirterra
apc_postalAPC Postal
apgAPG
aramexAramex
asendia_usAsendia US
australia_postAustralia Post (also used for Startrack)
axlehireJitsu
better_trucksBetterTrucks
borderguruBorderGuru
boxberryBoxberry
bringBring (also used for Posten Norge)
canada_postCanada Post
chronopostChronopost
collect_plusCollectPlus
correios_brCorreiosBR
correos_espanaCorreos España
colissimoColissimo
deutsche_postDeutsche Post
dhl_beneluxDHL Benelux
dhl_ecommerceDHL eCommerce
dhl_expressDHL Express
dhl_germany_c2cDHL Germany C2C
dhl_germanyDHL Germany
dpd_deDPD GERMANY
dpd_ukDPD UK
estafetaEstafeta
fastway_australiaAramex
fedexFedEx
globegisticsGlobegistics (now Asendia)
gls_usGLS US
gophrGophr
gsoGSO
hermes_germany_b2cHermes Germany B2C
hermes_ukEvri UK
hongkong_postHongkong Post
lasershipLaserShip
lsoLSO
mondial_relayMondial Relay
new_zealand_postNew Zealand Post (also used for Pace and CourierPost)
nippon_expressNippon Express
ontracOnTrac
parcelforceParcelforce
passportPassport
pcfPCF
poste_italianePoste Italiane
postiPosti
purolatorPurolator
royal_mailRoyal Mail
royal_mail_sfRoyal Mail Storefeeder
rr_donnelleyePost Global
russian_postRussian Post
skypostalSkyPostal
stuartStuart
swyftSwyft
udsUDS (United Delivery Service)
upsUPS
uspsUSPS
vehoVeho
Available options:
airterra,
apc_postal,
apg,
aramex,
asendia_us,
australia_post,
axlehire,
better_trucks,
borderguru,
boxberry,
bring,
canada_post,
chronopost,
collect_plus,
correios_br,
correos_espana,
colissimo,
deutsche_post,
dhl_benelux,
dhl_ecommerce,
dhl_express,
dhl_germany_c2c,
dhl_germany,
dpd_de,
dpd_uk,
estafeta,
fastway_australia,
fedex,
globegistics,
gls_us,
gophr,
gso,
hermes_germany_b2c,
hermes_uk,
hongkong_post,
lasership,
lso,
mondial_relay,
new_zealand_post,
nippon_express,
ontrac,
parcelforce,
passport,
pcf,
poste_italiane,
posti,
purolator,
royal_mail,
royal_mail_sf,
rr_donnelley,
russian_post,
skypostal,
stuart,
swyft,
uds,
ups,
usps,
veho
account_id
string

Filter the response by the specified carrier account Id

page
integer<int64>
default:1

The page number you want to select

results
integer<int64>
default:5

The number of results to return per page (max 100, default 5)

Required range: x <= 100

Response

Paginated list of carrier accounts

next
string
Example:

"baseurl?page=3&results=10"

previous
string
Example:

"baseurl?page=1&results=10"

results
Carrier Account · object[]